![C-Dogs SDL](http://cxong.github.io/cdogs-sdl/images/title.png)
==========
[![Build Status](https://travis-ci.org/cxong/cdogs-sdl.svg?branch=master)](https://travis-ci.org/cxong/cdogs-sdl)
[![Build Status (Windows)](https://ci.appveyor.com/api/projects/status/github/cxong/cdogs-sdl?svg=true)](https://ci.appveyor.com/project/cxong/cdogs-sdl)
[![Github All Releases](https://img.shields.io/github/downloads/cxong/cdogs-sdl/total.svg)](https://github.com/cxong/cdogs-sdl/releases)
[![Release](http://img.shields.io/github/release/cxong/cdogs-sdl.svg)](https://github.com/cxong/cdogs-sdl/releases/latest)

## ![](https://github.com/cxong/cdogs-sdl/blob/master/graphics/radio.png) Introduction ##

C-Dogs SDL is a classic overhead run-and-gun game, supporting up to 4 players
in co-op and deathmatch modes. Customize your player, choose from many weapons,
and blast, slide and slash your way through over 100 user-created campaigns.
Have fun!

[Releases and release notes](https://github.com/cxong/cdogs-sdl/releases)

For more information about the original C-Dogs read [`original\_readme.txt`](https://raw.githubusercontent.com/cxong/cdogs-sdl/master/doc/original_readme.txt).

## ![](https://github.com/cxong/cdogs-sdl/blob/master/graphics/folder.png) What is C-Dogs SDL? ##

![Walk cycle](https://github.com/cxong/cxong.github.io/blob/master/_posts/cdogs_walk_cycle_jones.gif)

[C-Dogs](https://en.wikipedia.org/wiki/C-Dogs) is a freeware DOS game made between 1997-2001 by Ronny Wester, who's also known for making Cyberdogs (1994). Although relatively obscure, it was one of the more well-known games of its kind, and built a small following with many fans creating custom campaigns for it. Players loved it for its simple yet addictive gameplay and wicked explosions.

![Explosions](https://github.com/cxong/cdogs-sdl/blob/gh-pages/_posts/shake.gif)

- Internet Archive: http://web.archive.org/web/20050305054405/http://www.orcsoftware.com/~ronny/C-Dogs.html

The story would have ended there had Ronny not been awesome enough to release the source code in 2002. There it was picked up by Jeremy Chin and Lucas Martin-King, who ported the game to SDL and made it available for modern PCs. A few other ports came and went, for systems as varied as BeOS and Wii.

These days the project is maintained by Cong Xu, who along with a few other contributors, have been making the game even better while staying true to the original game's vision. 4-player multiplayer, co-op AI, moddability and new campaigns/maps are just some of the enhancements available.

So what are you waiting for? Download C-Dogs SDL today and have a blast!


## ![](https://github.com/cxong/cdogs-sdl/blob/master/graphics/barrel_blue.png) Platforms ##

<a href="https://repology.org/metapackage/cdogs-sdl/versions">
    <img src="https://repology.org/badge/vertical-allrepos/cdogs-sdl.svg" alt="Packaging status" align="right">
</a>

C-Dogs SDL is built using the SDL2 API.
See the SDL website - <http://www.libsdl.org> for more about SDL itself.

C-Dogs SDL runs on Linux, \*BSD, Windows, Mac OS X, Pandora and GCW-Zero. There are a few other unsupported and outdated ports too.

## ![](https://github.com/cxong/cdogs-sdl/blob/master/graphics/cd.png) Installation ##

Please use the installers for your platform for installing.

Follow the [getting started wiki](https://github.com/cxong/cdogs-sdl/wiki#getting-started) to build on your platform. You will need the SDL2 development libraries installed.

## ![](https://github.com/cxong/cdogs-sdl/blob/master/graphics/barrel_skull.png) License ##

tl;dr: **GPLv2** for code, **CC0/CC-BY/CC-BY-SA** for assets. Significant amounts of **BSD 2-clause** code.

Code is licensed under GPL version 2, with significant portions under BSD 2-clause. The code is free software; you can use, modify and redistribute for any purpose, as long as you follow the GPL and BSD licenses!

Data is licensed under various free terms, including CC0, CC-BY and CC-BY-SA. [The original C-Dogs data is also under CC-BY](https://raw.githubusercontent.com/cxong/cdogs-sdl/master/doc/README_DATA.md). New data is licensed as CC0 if not specified. You are free to use, modify and redistribute these for any purpose, as long as you follow their licenses.

## ![](https://github.com/cxong/cdogs-sdl/blob/master/graphics/circuit.png) Contact ##

If you have any questions, comments, bug reports, patches or anything else related to C-Dogs SDL:

- [Raise an issue](https://github.com/cxong/cdogs-sdl/issues)
- Drop by `#freegamer` on [freenode](irc://irc.freenode.net/freenode) (http://freegamedev.net/irc/)
- Email: Cong <congusbongus@gmail.com>
